---
updatedAt: 2026-09-07T07:11:03.000Z
agentTools:
  projectIndex: https://developers.pinpointhq.com/llms.txt
---

# List Job Postings

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "integrations@pinpointhq.com",
      "name": "Pinpoint Integrations"
    },
    "description": "Documentation for Pinpoint External API endpoints",
    "title": "Pinpoint External API Reference",
    "version": "v1.0.27"
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "python",
      "ruby"
    ]
  },
  "servers": [
    {
      "url": "https://{subdomain}.pinpointhq.com",
      "description": "Pinpoint Production Environment",
      "variables": {
        "subdomain": {
          "default": "your-subdomain",
          "description": "Subdomain"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "responses": {
      "400": {
        "description": "Bad Request",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "invalid_param": {
                "description": "Malformed query params",
                "value": {
                  "errors": [
                    {
                      "code": "bad_request",
                      "status": "400",
                      "title": "Bad Request",
                      "detail": "Malformed query params"
                    }
                  ]
                }
              },
              "invalid_locale": {
                "description": "Invalid locale",
                "value": {
                  "errors": [
                    {
                      "code": "bad_request",
                      "status": "400",
                      "title": "Bad Request",
                      "detail": "{locale} is not a valid locale"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "api_key_not_provided": {
                "description": "X-API-KEY header not provided",
                "value": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "status": "401",
                      "title": "Unauthorized",
                      "detail": "X-API-KEY header not provided"
                    }
                  ]
                }
              },
              "invalid_api_key": {
                "description": "Invalid API key",
                "value": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "status": "401",
                      "title": "Unauthorized",
                      "detail": "Invalid API key"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "403": {
        "description": "Forbidden",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "integration_not_enabled": {
                "description": "Integration not enabled",
                "value": {
                  "errors": [
                    {
                      "code": "forbidden",
                      "status": "403",
                      "title": "Forbidden",
                      "detail": "Integration not enabled"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "429": {
        "description": "Too Many Requests",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "not_found": {
                "description": "Too Many Requests",
                "value": {
                  "errors": [
                    {
                      "code": "too_many_requests",
                      "status": "429",
                      "title": "Too Many Requests",
                      "detail": "Rate limit exceeded"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/jsonapi_failure"
            },
            "examples": {
              "not_found": {
                "description": "Internal Server Error",
                "value": {
                  "errors": [
                    {
                      "code": "internal_server_error",
                      "status": "500",
                      "title": "Internal Server Error",
                      "detail": "We've notified our engineers and hope to address this issue shortly."
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "job_postings_200_collection": {
        "description": "OK: Job Postings collection",
        "content": {
          "application/vnd.api+json": {
            "schema": {
              "$ref": "#/components/schemas/job_postings_collection"
            },
            "examples": {
              "jsonapi": {
                "$ref": "#/components/examples/jsonapi_job_postings_collection"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "job_postings": {
        "type": "object",
        "description": "Job Posting attributes",
        "properties": {
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "application_form_url": {
            "type": "string",
            "readOnly": true
          },
          "benefits": {
            "type": "string",
            "readOnly": true
          },
          "benefits_header": {
            "type": "string",
            "readOnly": true
          },
          "compensation": {
            "type": "string",
            "readOnly": true
          },
          "compensation_minimum": {
            "type": "number",
            "format": "float",
            "readOnly": true
          },
          "compensation_maximum": {
            "type": "number",
            "format": "float",
            "readOnly": true
          },
          "compensation_currency": {
            "type": "string",
            "readOnly": true
          },
          "compensation_frequency": {
            "type": "string",
            "readOnly": true
          },
          "compensation_visible": {
            "type": "boolean",
            "readOnly": true
          },
          "default_for_job": {
            "type": "boolean",
            "description": "True for the posting Pinpoint keeps in step with the job itself. Any other posting on the job is an additional one, created to advertise the same job differently.",
            "readOnly": true
          },
          "deadline_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "description": {
            "type": "string",
            "readOnly": true
          },
          "employment_type": {
            "type": "string",
            "readOnly": true
          },
          "employment_type_text": {
            "type": "string",
            "readOnly": true
          },
          "key_responsibilities": {
            "type": "string",
            "readOnly": true
          },
          "key_responsibilities_header": {
            "type": "string",
            "readOnly": true
          },
          "name": {
            "type": "string",
            "description": "The internal label for this posting, shown to your team rather than to candidates.",
            "readOnly": true
          },
          "reporting_to": {
            "type": "string",
            "readOnly": true
          },
          "skills_knowledge_expertise": {
            "type": "string",
            "readOnly": true
          },
          "skills_knowledge_expertise_header": {
            "type": "string",
            "readOnly": true
          },
          "status": {
            "type": "string",
            "readOnly": true
          },
          "title": {
            "type": "string",
            "readOnly": true
          },
          "url": {
            "type": "string",
            "readOnly": true
          },
          "path": {
            "type": "string",
            "readOnly": true
          },
          "workplace_type": {
            "type": "string",
            "readOnly": true
          },
          "workplace_type_text": {
            "type": "string",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "job_postings_relationships": {
        "type": "object",
        "properties": {
          "job": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "jobs",
                    "enum": [
                      "jobs"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "location": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "locations",
                    "enum": [
                      "locations"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "job_postings_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "job_postings"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/job_postings"
          },
          "relationships": {
            "$ref": "#/components/schemas/job_postings_relationships"
          }
        },
        "additionalProperties": false
      },
      "job_postings_collection": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/job_postings_resource"
            }
          },
          "included": {
            "description": "To reduce the number of HTTP requests, servers **MAY** allow responses that include related resources along with the requested primary resources. Such responses are called \"compound documents\".",
            "type": "array",
            "items": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/jobs_resource"
                },
                {
                  "$ref": "#/components/schemas/locations_resource"
                }
              ]
            },
            "uniqueItems": true
          },
          "meta": {
            "$ref": "#/components/schemas/jsonapi_meta"
          }
        },
        "additionalProperties": false
      },
      "job_postings_readable_attribute": {
        "description": "Job Posting readable attributes",
        "type": "string",
        "enum": [
          "id",
          "created_at",
          "updated_at",
          "application_form_url",
          "benefits",
          "benefits_header",
          "compensation",
          "compensation_minimum",
          "compensation_maximum",
          "compensation_currency",
          "compensation_frequency",
          "compensation_visible",
          "default_for_job",
          "deadline_at",
          "description",
          "employment_type",
          "employment_type_text",
          "key_responsibilities",
          "key_responsibilities_header",
          "name",
          "reporting_to",
          "skills_knowledge_expertise",
          "skills_knowledge_expertise_header",
          "status",
          "title",
          "url",
          "path",
          "workplace_type",
          "workplace_type_text"
        ]
      },
      "job_postings_sortable_attributes_list": {
        "description": "Job Posting sortable attributes",
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "id",
            "-id",
            "created_at",
            "-created_at",
            "updated_at",
            "-updated_at"
          ]
        },
        "uniqueItems": true
      },
      "job_postings_related": {
        "description": "Job Posting relationships available for inclusion",
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "job",
            "location"
          ]
        },
        "uniqueItems": true
      },
      "jobs": {
        "type": "object",
        "description": "Job attributes",
        "properties": {
          "ask_for_address": {
            "type": "boolean"
          },
          "ask_for_date_of_birth": {
            "type": "boolean"
          },
          "ask_for_linkedin_profile": {
            "type": "boolean"
          },
          "ask_for_middle_name": {
            "type": "boolean"
          },
          "cover_letter_requirement": {
            "type": "string"
          },
          "personal_summary_requirement": {
            "type": "string"
          },
          "require_phone": {
            "type": "boolean"
          },
          "resume_requirement": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "benefits": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "skills_knowledge_expertise": {
            "type": "string"
          },
          "key_responsibilities": {
            "type": "string"
          },
          "reporting_to": {
            "type": "string"
          },
          "external_key_responsibilities_header": {
            "type": "string"
          },
          "key_responsibilities_header": {
            "type": "string",
            "readOnly": true
          },
          "external_benefits_header": {
            "type": "string"
          },
          "benefits_header": {
            "type": "string",
            "readOnly": true
          },
          "external_skills_knowledge_expertise_header": {
            "type": "string"
          },
          "skills_knowledge_expertise_header": {
            "type": "string",
            "readOnly": true
          },
          "about_company_theme_section_header": {
            "type": "string",
            "readOnly": true
          },
          "about_company_theme_section": {
            "type": "string",
            "readOnly": true
          },
          "compensation": {
            "type": "string"
          },
          "compensation_minimum": {
            "type": "number",
            "format": "float"
          },
          "compensation_maximum": {
            "type": "number",
            "format": "float"
          },
          "compensation_currency": {
            "type": "string"
          },
          "compensation_frequency": {
            "type": "string"
          },
          "is_compensation_visible": {
            "type": "boolean"
          },
          "compensation_visible": {
            "type": "boolean",
            "readOnly": true
          },
          "country_code": {
            "type": "string",
            "readOnly": true
          },
          "uuid": {
            "type": "string",
            "description": "A stable UUID for this job. Safe to share with third-party integrations as a unique job identifier.",
            "readOnly": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "deadline_on": {
            "type": "string",
            "format": "date"
          },
          "external_system_reference": {
            "type": "string",
            "description": "Used to store the ID or reference from an external system that the record was created from."
          },
          "deadline_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "opened_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "draft_job_additional_information": {
            "type": "string"
          },
          "requisition_id": {
            "type": "string"
          },
          "closed_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "filled_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "on_hold_in_seconds": {
            "type": "integer",
            "readOnly": true
          },
          "blind_screening": {
            "type": "boolean"
          },
          "diversity_monitoring": {
            "type": "boolean"
          },
          "diversity_monitoring_requirement": {
            "type": "string",
            "readOnly": true
          },
          "employment_type": {
            "type": "string"
          },
          "employment_type_text": {
            "type": "string",
            "readOnly": true
          },
          "headcount_maximum_enabled": {
            "type": "boolean"
          },
          "headcount_maximum": {
            "type": "integer"
          },
          "notify": {
            "type": "boolean"
          },
          "workplace_type": {
            "type": "string"
          },
          "workplace_type_text": {
            "type": "string",
            "readOnly": true
          },
          "visibility": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "application_form_url": {
            "type": "string",
            "readOnly": true
          },
          "url": {
            "type": "string",
            "readOnly": true
          },
          "path": {
            "type": "string",
            "readOnly": true
          },
          "referrals_enabled": {
            "type": "boolean"
          },
          "referral_amount": {
            "type": "number",
            "format": "float"
          },
          "referral_currency": {
            "type": "string"
          },
          "referral_details": {
            "type": "string"
          },
          "monster": {
            "type": "boolean"
          },
          "talentdotcom": {
            "type": "boolean"
          },
          "ziprecruiter": {
            "type": "boolean"
          },
          "linkedin": {
            "type": "boolean"
          },
          "experience_level": {
            "type": "string"
          },
          "linkedin_company_id": {
            "type": "string"
          },
          "is_remote_with_location_restrictions": {
            "type": "boolean"
          },
          "custom_town": {
            "type": "string"
          },
          "custom_county": {
            "type": "string"
          },
          "custom_country": {
            "type": "string"
          },
          "company_name_override": {
            "type": "string"
          },
          "remote": {
            "type": "boolean",
            "readOnly": true
          },
          "selected_hiring_workflow_id": {
            "type": "string"
          },
          "hiring_manager_user_email": {
            "type": "string",
            "writeOnly": true
          },
          "recruitment_manager_user_email": {
            "type": "string",
            "writeOnly": true
          },
          "onboarding_process_id": {
            "type": "integer",
            "writeOnly": true
          },
          "hiring_user_id": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "recruitment_manager_user_id": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_process_id": {
            "type": "integer",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_process_name": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_candidate_owner_user_id": {
            "type": "integer",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "assigned_onboarding_candidate_owner_user_email": {
            "type": "string",
            "description": "This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          },
          "users_emails_with_job_level_visibility": {
            "type": "array",
            "items": {},
            "description": "**Reading (GET):** Returns the email addresses of all users who have visibility of this job at the job level (i.e. not through company-wide visibility).\n\n**Writing (POST/PUT):** Sets job visibility to exactly the list of emails provided. This is a **full replacement** — you must include every user who should have job level visibility, not just new additions.\n\n> ⚠️ **Any user whose email is omitted from the array will have their job level visibility removed.**. This is an extra attribute. If you want it to be returned please add `extra_fields` query param (see Query Params section)",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "jobs_relationships": {
        "type": "object",
        "properties": {
          "department": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "departments",
                    "enum": [
                      "departments"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "division": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "divisions",
                    "enum": [
                      "divisions"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "location": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "locations",
                    "enum": [
                      "locations"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "structure_custom_group_one": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "structure_custom_group_ones",
                    "enum": [
                      "structure_custom_group_ones"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "company": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "companies",
                    "enum": [
                      "companies"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "structure_link": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "structure_links",
                    "enum": [
                      "structure_links"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "hiring_manager_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "recruitment_manager_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "creator_user": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "users",
                    "enum": [
                      "users"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "applications": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "applications",
                      "enum": [
                        "applications"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "job_postings": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "job_postings",
                      "enum": [
                        "job_postings"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "questions": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "questions",
                      "enum": [
                        "questions"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "custom_attributes": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "custom_attributes",
                      "enum": [
                        "custom_attributes"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          },
          "stages": {
            "type": "object",
            "properties": {
              "data": {
                "description": "An array of objects each containing \"type\" and \"id\" members for to-many relationships.",
                "type": "array",
                "items": {
                  "description": "The \"type\" and \"id\" to non-empty members.",
                  "type": "object",
                  "required": [
                    "type",
                    "id"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "stages",
                      "enum": [
                        "stages"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "example": "1"
                    }
                  }
                },
                "uniqueItems": true
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "jobs_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "jobs"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/jobs"
          },
          "relationships": {
            "$ref": "#/components/schemas/jobs_relationships"
          }
        },
        "additionalProperties": false
      },
      "jobs_readable_attribute": {
        "description": "Job readable attributes",
        "type": "string",
        "enum": [
          "id",
          "ask_for_address",
          "ask_for_date_of_birth",
          "ask_for_linkedin_profile",
          "ask_for_middle_name",
          "cover_letter_requirement",
          "personal_summary_requirement",
          "require_phone",
          "resume_requirement",
          "title",
          "benefits",
          "description",
          "skills_knowledge_expertise",
          "key_responsibilities",
          "reporting_to",
          "external_key_responsibilities_header",
          "key_responsibilities_header",
          "external_benefits_header",
          "benefits_header",
          "external_skills_knowledge_expertise_header",
          "skills_knowledge_expertise_header",
          "about_company_theme_section_header",
          "about_company_theme_section",
          "compensation",
          "compensation_minimum",
          "compensation_maximum",
          "compensation_currency",
          "compensation_frequency",
          "is_compensation_visible",
          "compensation_visible",
          "country_code",
          "uuid",
          "created_at",
          "updated_at",
          "deadline_on",
          "external_system_reference",
          "deadline_at",
          "opened_at",
          "draft_job_additional_information",
          "requisition_id",
          "closed_at",
          "filled_at",
          "on_hold_in_seconds",
          "blind_screening",
          "diversity_monitoring",
          "diversity_monitoring_requirement",
          "employment_type",
          "employment_type_text",
          "headcount_maximum_enabled",
          "headcount_maximum",
          "notify",
          "workplace_type",
          "workplace_type_text",
          "visibility",
          "status",
          "application_form_url",
          "url",
          "path",
          "referrals_enabled",
          "referral_amount",
          "referral_currency",
          "referral_details",
          "monster",
          "talentdotcom",
          "ziprecruiter",
          "linkedin",
          "experience_level",
          "linkedin_company_id",
          "is_remote_with_location_restrictions",
          "custom_town",
          "custom_county",
          "custom_country",
          "company_name_override",
          "remote",
          "selected_hiring_workflow_id"
        ]
      },
      "locations": {
        "type": "object",
        "description": "Location attributes",
        "properties": {
          "city": {
            "type": "string"
          },
          "country_code": {
            "type": "string"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "name": {
            "type": "string"
          },
          "postal_code": {
            "type": "string"
          },
          "province": {
            "type": "string"
          },
          "street_address": {
            "type": "string"
          },
          "structure_linkable": {
            "type": "boolean",
            "description": "Whether the location can be used in structure links. Posting-only locations cannot.",
            "readOnly": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "readOnly": true
          },
          "external_system_reference": {
            "type": "string",
            "description": "Used to store the ID or reference from an external system that the record was created from."
          }
        },
        "additionalProperties": false
      },
      "locations_relationships": {
        "type": "object",
        "properties": {
          "equality_monitoring_template": {
            "type": "object",
            "properties": {
              "data": {
                "description": "References to other resource objects in a to-one (\"relationship\").",
                "type": "object",
                "required": [
                  "type",
                  "id"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "example": "equality_monitoring_templates",
                    "enum": [
                      "equality_monitoring_templates"
                    ]
                  },
                  "id": {
                    "type": "string",
                    "example": "1"
                  }
                }
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_metaResource"
              }
            }
          }
        },
        "additionalProperties": false
      },
      "locations_resource": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "1"
          },
          "type": {
            "type": "string",
            "enum": [
              "locations"
            ]
          },
          "attributes": {
            "$ref": "#/components/schemas/locations"
          },
          "relationships": {
            "$ref": "#/components/schemas/locations_relationships"
          }
        },
        "additionalProperties": false
      },
      "locations_readable_attribute": {
        "description": "Location readable attributes",
        "type": "string",
        "enum": [
          "id",
          "city",
          "country_code",
          "created_at",
          "name",
          "postal_code",
          "province",
          "street_address",
          "structure_linkable",
          "updated_at",
          "external_system_reference"
        ]
      },
      "jsonapi_failure": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/jsonapi_error"
            },
            "uniqueItems": true
          },
          "meta": {
            "$ref": "#/components/schemas/jsonapi_meta"
          },
          "jsonapi": {
            "$ref": "#/components/schemas/jsonapi_jsonapi"
          },
          "links": {
            "$ref": "#/components/schemas/jsonapi_links"
          }
        },
        "additionalProperties": false
      },
      "jsonapi_meta": {
        "description": "Non-standard meta-information that can not be represented as an attribute or relationship.",
        "type": "object",
        "additionalProperties": true
      },
      "jsonapi_links": {
        "type": "object",
        "additionalProperties": {
          "$ref": "#/components/schemas/jsonapi_link"
        }
      },
      "jsonapi_link": {
        "description": "A link **MUST** be represented as either: a string containing the link's URL or a link object.",
        "oneOf": [
          {
            "description": "A string containing the link's URL.",
            "type": "string",
            "format": "uri-reference"
          },
          {
            "type": "object",
            "required": [
              "href"
            ],
            "properties": {
              "href": {
                "description": "A string containing the link's URL.",
                "type": "string",
                "format": "uri-reference"
              },
              "meta": {
                "$ref": "#/components/schemas/jsonapi_meta"
              }
            }
          }
        ]
      },
      "jsonapi_jsonapi": {
        "description": "An object describing the server's implementation",
        "type": "object",
        "properties": {
          "version": {
            "type": "string"
          },
          "meta": {
            "$ref": "#/components/schemas/jsonapi_meta"
          }
        },
        "additionalProperties": false
      },
      "jsonapi_error": {
        "type": "object",
        "properties": {
          "links": {
            "$ref": "#/components/schemas/jsonapi_links"
          },
          "status": {
            "description": "The HTTP status code applicable to this problem, expressed as a string value.",
            "type": "string"
          },
          "code": {
            "description": "An application-specific error code, expressed as a string value.",
            "type": "string"
          },
          "title": {
            "description": "A short, human-readable summary of the problem. It **SHOULD NOT** change from occurrence to occurrence of the problem, except for purposes of localization.",
            "type": "string"
          },
          "detail": {
            "description": "A human-readable explanation specific to this occurrence of the problem.",
            "type": "string"
          },
          "source": {
            "type": "object",
            "properties": {
              "pointer": {
                "description": "A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. \"/data\" for a primary data object, or \"/data/attributes/title\" for a specific attribute].",
                "type": "string"
              },
              "parameter": {
                "description": "A string indicating which query parameter caused the error.",
                "type": "string"
              }
            }
          },
          "meta": {
            "$ref": "#/components/schemas/jsonapi_meta"
          }
        },
        "additionalProperties": false
      },
      "jsonapi_metaResource": {
        "description": "Non-standard meta-information that can not be represented as an attribute or relationship.",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "included": {
            "enum": [
              false
            ]
          }
        }
      }
    },
    "parameters": {
      "created_at_gt_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[created_at][gt]",
        "description": "Filter records with created_at greater than this value",
        "schema": {
          "description": "String representation of datetime",
          "type": "string",
          "format": "date-time",
          "example": "2019-01-01T00:00:00+00:00"
        }
      },
      "created_at_lt_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[created_at][lt]",
        "description": "Filter records with created_at less than this value",
        "schema": {
          "description": "String representation of datetime",
          "type": "string",
          "format": "date-time",
          "example": "2019-01-01T00:00:00+00:00"
        }
      },
      "updated_at_gt_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[updated_at][gt]",
        "description": "Filter records with updated_at greater than this value",
        "schema": {
          "description": "String representation of datetime",
          "type": "string",
          "format": "date-time",
          "example": "2019-01-01T00:00:00+00:00"
        }
      },
      "updated_at_lt_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[updated_at][lt]",
        "description": "Filter records with updated_at less than this value",
        "schema": {
          "description": "String representation of datetime",
          "type": "string",
          "format": "date-time",
          "example": "2019-01-01T00:00:00+00:00"
        }
      },
      "job_postings_default_for_job_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[default_for_job]",
        "description": "Filter records based on whether they're marked as default_for_job",
        "schema": {
          "description": "Default for job filter",
          "type": "boolean",
          "example": false
        }
      },
      "job_postings_employment_type_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[employment_type]",
        "description": "Filter records with employment_type equal to this value",
        "schema": {
          "description": "Employment type filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string",
            "enum": [
              "full_time",
              "part_time",
              "contract_temp",
              "freelance",
              "internship",
              "permanent",
              "fixed_term_contract",
              "zero_hours",
              "permanent_full_time",
              "permanent_part_time",
              "fixed_term_full_time",
              "fixed_term_part_time",
              "flexible",
              "seasonal_full_time",
              "seasonal_part_time",
              "contract",
              "temporary",
              "contract_to_hire",
              "volunteer",
              "apprentice",
              "programme",
              "secondment",
              "term_time",
              "part_time_term_time",
              "bank"
            ]
          }
        }
      },
      "job_postings_status_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[status]",
        "description": "Filter records with status equal to this value",
        "schema": {
          "description": "Status filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string",
            "enum": [
              "inactive",
              "active"
            ]
          }
        }
      },
      "job_postings_workplace_type_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[workplace_type]",
        "description": "Filter records with workplace_type equal to this value",
        "schema": {
          "description": "Workplace type filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string",
            "enum": [
              "onsite",
              "hybrid",
              "remote"
            ]
          }
        }
      },
      "job_postings_job_id_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[job_id]",
        "description": "Filter records by Job id",
        "schema": {
          "description": "Job id filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "job_postings_department_id_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[department_id]",
        "description": "Filter records by Department id",
        "schema": {
          "description": "Department id filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "job_postings_division_id_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[division_id]",
        "description": "Filter records by Division id",
        "schema": {
          "description": "Division id filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "job_postings_location_id_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[location_id]",
        "description": "Filter records by Location id",
        "schema": {
          "description": "Location id filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "job_postings_location_city_state_name_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[location_city_state_name]",
        "description": "Filter records by Location city state name",
        "schema": {
          "description": "Location city state name filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "job_postings_structure_custom_group_one_id_filters": {
        "in": "query",
        "explode": false,
        "name": "filter[structure_custom_group_one_id]",
        "description": "Filter records by Structure custom group one id",
        "schema": {
          "description": "Structure custom group one id filter",
          "type": "array",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        }
      },
      "stats_total": {
        "in": "query",
        "name": "stats[total]",
        "style": "form",
        "explode": false,
        "description": "Include the total number of matched records within the meta key of the response object.",
        "schema": {
          "type": "string",
          "enum": [
            "count"
          ],
          "example": "count"
        }
      },
      "page_number_filters": {
        "in": "query",
        "name": "page[number]",
        "description": "The page number of records to return",
        "schema": {
          "type": "integer",
          "example": 1,
          "default": 1
        }
      },
      "page_size_filters": {
        "in": "query",
        "name": "page[size]",
        "description": "The number of records to return",
        "schema": {
          "type": "integer",
          "default": 100,
          "minimum": 0,
          "maximum": 1000
        }
      },
      "job_postings_include": {
        "in": "query",
        "schema": {
          "$ref": "#/components/schemas/job_postings_related"
        },
        "explode": false,
        "name": "include",
        "description": "[Include related resources](https://jsonapi.org/format/#fetching-includes)"
      },
      "job_postings_fields": {
        "in": "query",
        "schema": {
          "description": "Job Posting readable attributes list",
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/job_postings_readable_attribute"
          },
          "uniqueItems": true
        },
        "explode": false,
        "name": "fields[job_postings]",
        "description": "[Include only specified fields of Job Posting in response](https://jsonapi.org/format/#fetching-sparse-fieldsets)"
      },
      "job_postings_sort": {
        "in": "query",
        "schema": {
          "$ref": "#/components/schemas/job_postings_sortable_attributes_list"
        },
        "style": "form",
        "explode": false,
        "name": "sort",
        "description": "[Sort records according to one or more criteria](https://jsonapi.org/format/#fetching-sorting)\n\nYou should not include both ascending `id` and descending `-id` fields the same time\n"
      },
      "jobs_fields": {
        "in": "query",
        "schema": {
          "description": "Job readable attributes list",
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/jobs_readable_attribute"
          },
          "uniqueItems": true
        },
        "explode": false,
        "name": "fields[jobs]",
        "description": "[Include only specified fields of Job in response](https://jsonapi.org/format/#fetching-sparse-fieldsets)"
      },
      "locations_fields": {
        "in": "query",
        "schema": {
          "description": "Location readable attributes list",
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/locations_readable_attribute"
          },
          "uniqueItems": true
        },
        "explode": false,
        "name": "fields[locations]",
        "description": "[Include only specified fields of Location in response](https://jsonapi.org/format/#fetching-sparse-fieldsets)"
      }
    },
    "examples": {
      "jsonapi_job_postings_collection": {
        "value": {
          "data": [
            {
              "id": "1",
              "type": "job_postings",
              "attributes": {
                "created_at": "2019-01-01T00:00:00+00:00",
                "updated_at": "2019-01-01T00:00:00+00:00",
                "application_form_url": "string",
                "benefits": "string",
                "benefits_header": "string",
                "compensation": "string",
                "compensation_minimum": 4.33,
                "compensation_maximum": 4.33,
                "compensation_currency": "string",
                "compensation_frequency": "string",
                "compensation_visible": true,
                "default_for_job": true,
                "deadline_at": "2019-01-01T00:00:00+00:00",
                "description": "string",
                "employment_type": "string",
                "employment_type_text": "string",
                "key_responsibilities": "string",
                "key_responsibilities_header": "string",
                "name": "string",
                "reporting_to": "string",
                "skills_knowledge_expertise": "string",
                "skills_knowledge_expertise_header": "string",
                "status": "string",
                "title": "string",
                "url": "string",
                "path": "string",
                "workplace_type": "string",
                "workplace_type_text": "string"
              },
              "relationships": {
                "job": {
                  "data": {
                    "type": "jobs",
                    "id": "1"
                  }
                },
                "location": {
                  "data": {
                    "type": "locations",
                    "id": "1"
                  }
                }
              }
            }
          ],
          "included": [
            {
              "id": "1",
              "type": "jobs",
              "attributes": {
                "ask_for_address": true,
                "ask_for_date_of_birth": true,
                "ask_for_linkedin_profile": true,
                "ask_for_middle_name": true,
                "cover_letter_requirement": "string",
                "personal_summary_requirement": "string",
                "require_phone": true,
                "resume_requirement": "string",
                "title": "string",
                "benefits": "string",
                "description": "string",
                "skills_knowledge_expertise": "string",
                "key_responsibilities": "string",
                "reporting_to": "string",
                "external_key_responsibilities_header": "string",
                "key_responsibilities_header": "string",
                "external_benefits_header": "string",
                "benefits_header": "string",
                "external_skills_knowledge_expertise_header": "string",
                "skills_knowledge_expertise_header": "string",
                "about_company_theme_section_header": "string",
                "about_company_theme_section": "string",
                "compensation": "string",
                "compensation_minimum": 4.33,
                "compensation_maximum": 4.33,
                "compensation_currency": "string",
                "compensation_frequency": "string",
                "is_compensation_visible": true,
                "compensation_visible": true,
                "country_code": "string",
                "uuid": "string",
                "created_at": "2019-01-01T00:00:00+00:00",
                "updated_at": "2019-01-01T00:00:00+00:00",
                "deadline_on": "2025-04-30",
                "external_system_reference": "string",
                "deadline_at": "2019-01-01T00:00:00+00:00",
                "opened_at": "2019-01-01T00:00:00+00:00",
                "draft_job_additional_information": "string",
                "requisition_id": "string",
                "closed_at": "2019-01-01T00:00:00+00:00",
                "filled_at": "2019-01-01T00:00:00+00:00",
                "on_hold_in_seconds": 0,
                "blind_screening": true,
                "diversity_monitoring": true,
                "diversity_monitoring_requirement": "string",
                "employment_type": "string",
                "employment_type_text": "string",
                "headcount_maximum_enabled": true,
                "headcount_maximum": 0,
                "notify": true,
                "workplace_type": "string",
                "workplace_type_text": "string",
                "visibility": "string",
                "status": "string",
                "application_form_url": "string",
                "url": "string",
                "path": "string",
                "referrals_enabled": true,
                "referral_amount": 4.33,
                "referral_currency": "string",
                "referral_details": "string",
                "monster": true,
                "talentdotcom": true,
                "ziprecruiter": true,
                "linkedin": true,
                "experience_level": "string",
                "linkedin_company_id": "string",
                "is_remote_with_location_restrictions": true,
                "custom_town": "string",
                "custom_county": "string",
                "custom_country": "string",
                "company_name_override": "string",
                "remote": true,
                "selected_hiring_workflow_id": "string",
                "hiring_user_id": "string",
                "recruitment_manager_user_id": "string",
                "assigned_onboarding_process_id": "1",
                "assigned_onboarding_process_name": "string",
                "assigned_onboarding_candidate_owner_user_id": "1",
                "assigned_onboarding_candidate_owner_user_email": "string",
                "users_emails_with_job_level_visibility": []
              },
              "relationships": {
                "department": {
                  "meta": {
                    "included": false
                  }
                },
                "division": {
                  "meta": {
                    "included": false
                  }
                },
                "location": {
                  "meta": {
                    "included": false
                  }
                },
                "structure_custom_group_one": {
                  "meta": {
                    "included": false
                  }
                },
                "company": {
                  "meta": {
                    "included": false
                  }
                },
                "structure_link": {
                  "meta": {
                    "included": false
                  }
                },
                "hiring_manager_user": {
                  "meta": {
                    "included": false
                  }
                },
                "recruitment_manager_user": {
                  "meta": {
                    "included": false
                  }
                },
                "creator_user": {
                  "meta": {
                    "included": false
                  }
                },
                "applications": {
                  "meta": {
                    "included": false
                  }
                },
                "job_postings": {
                  "meta": {
                    "included": false
                  }
                },
                "questions": {
                  "meta": {
                    "included": false
                  }
                },
                "custom_attributes": {
                  "meta": {
                    "included": false
                  }
                },
                "stages": {
                  "meta": {
                    "included": false
                  }
                }
              }
            },
            {
              "id": "1",
              "type": "locations",
              "attributes": {
                "city": "string",
                "country_code": "string",
                "created_at": "2019-01-01T00:00:00+00:00",
                "name": "string",
                "postal_code": "string",
                "province": "string",
                "street_address": "string",
                "structure_linkable": true,
                "updated_at": "2019-01-01T00:00:00+00:00",
                "external_system_reference": "string"
              },
              "relationships": {
                "equality_monitoring_template": {
                  "meta": {
                    "included": false
                  }
                }
              }
            }
          ],
          "meta": {}
        }
      }
    }
  },
  "paths": {
    "/api/v1/job_postings": {
      "get": {
        "operationId": "get-job-postings",
        "summary": "List Job Postings",
        "tags": [
          "Job Postings"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/job_postings_200_collection"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "429": {
            "$ref": "#/components/responses/429"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/job_postings_include"
          },
          {
            "$ref": "#/components/parameters/job_postings_fields"
          },
          {
            "$ref": "#/components/parameters/jobs_fields"
          },
          {
            "$ref": "#/components/parameters/locations_fields"
          },
          {
            "$ref": "#/components/parameters/created_at_gt_filters"
          },
          {
            "$ref": "#/components/parameters/created_at_lt_filters"
          },
          {
            "$ref": "#/components/parameters/updated_at_gt_filters"
          },
          {
            "$ref": "#/components/parameters/updated_at_lt_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_default_for_job_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_employment_type_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_status_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_workplace_type_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_job_id_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_department_id_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_division_id_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_location_id_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_location_city_state_name_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_structure_custom_group_one_id_filters"
          },
          {
            "$ref": "#/components/parameters/job_postings_sort"
          },
          {
            "$ref": "#/components/parameters/page_number_filters"
          },
          {
            "$ref": "#/components/parameters/page_size_filters"
          },
          {
            "$ref": "#/components/parameters/stats_total"
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Job Postings",
      "description": "Job Postings operations"
    }
  ]
}
```